如何在Raspberry Pi上安装Node.js和npm

Node.js是基于Chrome的JavaScript引擎构建的开源跨平台JavaScript运行时环境,该环境允许服务器端执行JavaScript代码。它主要用于构建服务器端应用程序,但作为全栈和前端解决方案,它也非常受欢迎。 npm是Node.js的默认程序包管理器,也是全球最大的软件注册表。在本教程中,我们将说明如何在Raspberry Pi上安装Node.js和npm。我们假设您在Raspberry Pi 上安装了 Raspbian。

4 min read
By myfreax
如何在Raspberry Pi上安装Node.js和npm

Node.js是基于Chrome的V8引擎构建的开源跨平台JavaScript运行时环境,该环境允许服务器端执行JavaScript代码。它主要用于构建服务器端应用程序,但作为全栈和前端解决方案,它也非常受欢迎。 npm是Node.js的默认程序包管理器。

在本教程中,我们将说明如何在Raspberry Pi上安装Node.js和npm。我们假设您在Raspberry Pi 上安装了Raspbian。这包括从NodeSource存储库使用apt命令安装Node.js和npm,使用NVM安装Node.js和NPM,使用nvm安装指定的Node.js版本,安装Node.js的长期支持版本LTS。

从NodeSource存储库安装Node.js和npm

NodeSource是一家致力于提供企业级Node支持的公司。 NodeSource维护一个APT存储库,其中包含最新版本的Node.js。通过在终端中运行以下命令来启用NodeSource存储库:

curl -fsSL https://deb.nodesource.com/setup_16.x | sudo -E bash -

Node.js的当前LTS版本是16.x。如果要安装Node.js版本14.x,只需将setup_16.x更改为setup_14.x。启用存储库后,通过输入以下内容使用apt安装Node.js和npm

sudo apt install nodejs

要验证安装,请运行以下命令,该命令将打印Node.js版本:

node --version 
v16.14.0

至此,您已经在Raspberry Pi板上成功安装了Node.js和npm。

使用NVM安装Node.js和NPM

NVM全称Node.js版本管理器,是一个bash脚本,可让您安装和管理多个Node.js版本。如果需要安装特定的Node.js版本,或者需要在Raspberry Pi上安装多个Node.js版本,请使用此方法。

要安装nvm,请运行以下curl命令,该命令将下载并运行nvm安装脚本:

curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.1/install.sh | bash

安装脚本会将nvm信息库从Github克隆到~/.nvm目录,并将nvm路径添加到您的Bash配置文件。

export NVM_DIR="$HOME/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh"  # This loads nvm
[ -s "$NVM_DIR/bash_completion" ] && \. "$NVM_DIR/bash_completion"  # This loads nvm bash_completion

输出将提示你,可以重新打开一个新的Shell会话或者关闭终端重新打开。要确保正确安装了nvm,可以通过检查nvm版本来验证。请输入:

nvm --version
0.34.00

您现在可以通过运行以下命令来安装最新版本的Node.js:

nvm install node

打印Node.js版本,验证Node.js的安装:

node --version
v12.3.1

为更好地说明nvm的工作原理,我们将再安装两个版本,即最新的LTS版本和8.9.4版。

nvm install --lts
nvm install 8.9.4

一旦安装了两个版本,请通过键入以下内容列出Node.js版本:

nvm ls
->       v8.9.4
       v10.16.0
        v12.3.1
default -> node (-> v12.3.1)
node -> stable (-> v12.3.1) (default)
stable -> 12.3 (-> v12.3.1) (default)
iojs -> N/A (default)
unstable -> N/A (default)
lts/* -> lts/dubnium (-> v10.16.0)
lts/argon -> v4.9.1 (-> N/A)
lts/boron -> v6.17.1 (-> N/A)
lts/carbon -> v8.16.0 (-> N/A)
lts/dubnium -> v10.16.0

在上面的输出中,右边带有箭头的条目(-> v8.9.4)是当前shell会话中使用的版本,默认版本设置为v12.3.1

默认版本是打开新的Shell会话时将使用的版本。要将当前活动的版本更改为v10.16.0,请使用以下命令:

nvm use 10.16.0

并通过键入以下命令进行验证:

nvm current
v10.16.0

如果要将版本10.16.0设置为默认的Node.js版本类型:

nvm alias default 10.16.0

安装开发工具

要能够从npm中编译和安装本地开发包,您需要安装开发工具:

sudo apt install build-essential

卸载Node.js

如果出于某些原因要卸载Node.js程序包,则可以使用以下命令:

sudo apt remove nodejs

结论

我们向您展示了两种在Raspberry Pi板上安装Node.js和npm的方法。您选择的方法取决于您的要求和偏好。即使从NodeSource存储库安装打包版本更容易,但nvm方法仍为您提供了更大的灵活性,可以针对每个用户添加和删除不同的Node.js版本。

现在,您已经在Raspberry Pi系统上安装了Node.js,就可以开始开发应用程序。如果您有任何问题或反馈,请随时在下面评论。